import {
    world,
    system,
    Entity,
    Player,
    MinecraftBlockTypes,
    EquipmentSlot,
    ItemStack,
    ItemTypes,
    BlockAreaSize,
    Vector,
    ItemLockMode
} from '@minecraft/server';
import {
    ActionFormData,
    ModalFormData,
    MessageFormData
} from '@minecraft/server-ui';

export function TPparticles(player){
    player.runCommand(`inputpermission set @s movement disabled`);

                player.runCommand(`particle minecraft:egg_destroy_emitter ~1 ~ ~1`);
                player.runCommand(`particle minecraft:egg_destroy_emitter ~-1 ~ ~-1`);
                player.runCommand(`particle minecraft:egg_destroy_emitter ~-1 ~ ~1`);
                player.runCommand(`particle minecraft:egg_destroy_emitter ~-1 ~ ~-1`);
                player.runCommand(`particle minecraft:egg_destroy_emitter ~1 ~ ~-1`);
                player.runCommand(`particle minecraft:knockback_roar_particle ~~~`);
                player.runCommand(`particle minecraft:knockback_roar_particle ~~~`);
                player.playSound(`random.fizz`);
                player.runCommand(`playSound random.fizz @a[r=10]`);
                player.runCommand(`particle minecraft:egg_destroy_emitter ~1 ~1 ~1`);
                player.runCommand(`particle minecraft:egg_destroy_emitter ~-1 ~1 ~-1`);
                player.runCommand(`particle minecraft:egg_destroy_emitter ~-1 ~1 ~1`);
                player.runCommand(`particle minecraft:egg_destroy_emitter ~-1 ~1 ~-1`);
                player.runCommand(`particle minecraft:egg_destroy_emitter ~1 ~1 ~-1`);
                player.runCommand(`particle minecraft:knockback_roar_particle ~~~`);
                player.runCommand(`particle minecraft:knockback_roar_particle ~~~`);
                player.runCommand(`inputpermission set @s movement enabled`)
}